#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Pod
Summary:	Test::Pod Perl module - check for POD errors in files
Summary(pl.UTF-8):	Moduł Perla Test::Pod - szukanie błędów POD w plikach
Name:		perl-Test-Pod
Version:	1.48
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c6bfd00ccdcb417d68fb3c0a0ec884c8
URL:		http://search.cpan.org/dist/Test-Pod/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Builder-Tester >= 1.02
BuildRequires:	perl-Test-Simple >= 0.62
BuildRequires:	perl-Pod-Simple >= 3.06
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Check POD files for errors or warnings in a test file, using
Pod::Checker to do the heavy lifting.

%description -l pl.UTF-8
Ten moduł przeszukuje pliki POD pod kątem błędów lub ostrzeżeń w pliku
testowym, wykorzystując do tego moduł Pod::Checker.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/Pod.pm
%{_mandir}/man3/Test::Pod.3pm*
%changelog
* Tue Jun 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Pod.git;a=log;h=master

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> b92b6cf
- updated to 1.48

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 34f8524
- updated to 1.45

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> da59cd4
- updated to 1.44

* Tue Nov 03 2009 Szymon Siwek <sls@pld-linux.org> 79be94c
- BR: perl-Pod-Simple >= 3.06 (actually 3.05 < N <= 3.08)

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> a7315c8
- updated to 1.40

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 8c483a5
- generic URL

* Tue Mar 27 2007 radek <radek@pld-linux.org> b480c8c
- release 2: BR T::B::T 1.02

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 05b0286
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> be0f753
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> da46cc4
- ver. 1.26

* Thu Aug 11 2005 radek <radek@pld-linux.org> 1f127ee
- bcond_with(out) is followed by one \t, then bcond's name.

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 016a70e
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> eb69fee
- updated to 1.20

* Thu May 06 2004 ankry <ankry@pld-linux.org> fc1558f
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 772d507
- license fixes, cosmetics

* Sun May 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 7b3ad23
- updated to 1.16

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 65040b5
- cosmetics

* Sun Mar 28 2004 Adam Gołębiowski <adamg@pld-linux.org> 8ebfb9e
- updated to 1.12

* Mon Feb 16 2004 Adam Gołębiowski <adamg@pld-linux.org> e2db390
- updated to 1.08

* Wed Nov 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 8cf56bb
- up to 1.02

